﻿@using Portal.Models.ConsolidatedLPOP;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;

@model Toyota.Common.Web.MVC.ModelHolder
                       
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@* wot.dwi 08/11/2012  *@ 

@section Script{
    $(document).ready(function(){
        GVConsolidated.Refresh();
    });
}

       
<link href="@Url.Content("~/Content/Style/LPOPConsolidation.css")" rel="Stylesheet" type="text/css" />

<div id="LPOPConsolidationDetail">
    <h2>Consolidated LPOP</h2>
    <table width="600px" style="border: 1px solid #c0c0c0;padding-bottom:2px;"  cellpadding="4" cellspacing="0" >
    <tr>
        <td colspan="3">
        @Html.Partial("ConsolidatedMaster", Model)
        
        </td>
        
    </tr>
    <tr>
        <td width="50px">
                @Html.DevExpress().Button(
                    settings => {
                        settings.Name = "Delete";

                        settings.Text = "Delete";
                        settings.Width = 60;
                    }
                ).GetHtml()
        </td>
        <td  align=right>
                @Html.DevExpress().Button(
                    settings => {
                        settings.Name = "Download";

                        settings.Text = "Download";
                        settings.Width = 60;
                    }
                ).GetHtml()
        </td>
        <td width="50px" align="right">
                @Html.DevExpress().Button(
                    settings => {
                        settings.Name = "Create_PO";

                        settings.Text = "Create PO";
                        settings.Width = 80;
                    }
                ).GetHtml()
            </td>
    </tr>
    </table>
</div>
<div>

 
<div>  
<h2>Master Data Completeness Check Result</h2>          
 @*--- wot.dwi 09/11/2012  *@


 @Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "Master Completeness Result";
        settings.SettingsDetail.MasterGridName = "LPOPDetail";
        settings.Width = Unit.Percentage(100);
        settings.KeyFieldName = "RecordID";
        settings.Settings.ShowHorizontalScrollBar = true;
      
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "RecordID";
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.Caption = "Record<br>ID";
                setting.Width = Unit.Pixel(50);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            });
        settings.Columns.Add(
            setting =>
            {
                setting.FieldName = "PONumber";
                setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                setting.Caption = "PO Number";
                setting.Width = Unit.Pixel(80);
                setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
            });
        settings.Columns.Add(
           setting =>
           {
               setting.FieldName = "POItemNo";
               setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
               setting.Caption = "PO Item No";
               setting.Width = Unit.Pixel(90);
               setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
           });
        settings.Columns.Add(
          setting =>
          {
              setting.FieldName = "DockCode";
              setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
              setting.Caption = "Dock<br>Code";
              setting.Width = Unit.Pixel(40);
              setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
          });
        settings.Columns.Add(
          setting =>
          {
              setting.FieldName = "SupplierCode";
              setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
              setting.Caption = "Supplier<br>Code";
              setting.Width = Unit.Pixel(60);
              setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
          });
          settings.Columns.Add(
          setting =>
          {
              setting.FieldName = "MaterialNo";
              setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
              setting.Caption = "Material<br>Number";
              setting.Width = Unit.Pixel(80);
              setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
          });
          settings.Columns.Add(
           setting =>
           {
               setting.FieldName = "ProdPurposeCD";
               setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
               setting.Caption = "Prod Purpose<br>Code";
               setting.Width = Unit.Pixel(80);
               setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
           });
          settings.Columns.Add(
             setting =>
             {
                 setting.FieldName = "SourceType";
                 setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                 setting.Caption = "Source<br>Type";
                 setting.Width = Unit.Pixel(60);
                 setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
             });
          settings.Columns.Add(
               setting =>
               {
                   setting.FieldName = "PartColorSFX";
                   setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                   setting.Caption = "Part Color<br>SFX";
                   setting.Width = Unit.Pixel(80);
                   setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
               });
         settings.Columns.Add(
               setting =>
               {
                   setting.FieldName = "MaterialDescription";
                   setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                   setting.Caption = "Material Description";
                   setting.Width = Unit.Pixel(200);
                   setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
               });
         settings.Columns.Add(
                setting =>
                {
                    setting.FieldName = "ProdMonth";
                    setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                    setting.Caption = "Prod<br>Month";
                    setting.Width = Unit.Pixel(60);
                    setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                });
         settings.Columns.Add(
                 setting =>
                 {
                     setting.FieldName = "Qty_n";
                     setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                     setting.Caption = "Qty_n";
                     setting.Width = Unit.Pixel(60);
                     setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                 });
         settings.Columns.Add(
                  setting =>
                  {
                      setting.FieldName = "Qty_n1";
                      setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                      setting.Caption = "Qty_n1";
                      setting.Width = Unit.Pixel(60);
                      setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                  });
         settings.Columns.Add(
                  setting =>
                  {
                      setting.FieldName = "Qty_n2";
                      setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                      setting.Caption = "Qty_n2";
                      setting.Width = Unit.Pixel(60);
                      setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                  });
         settings.Columns.Add(
                  setting =>
                  {
                      setting.FieldName = "Qty_n3";
                      setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                      setting.Caption = "Qty_n3";
                      setting.Width = Unit.Pixel(60);
                      setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                  });
        settings.Columns.Add(
                  setting =>
                  {
                      setting.FieldName = "PlantCode";
                      setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                      setting.Caption = "Plant<br>Code";
                      setting.Width = Unit.Pixel(60);
                      setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                  });
        settings.Columns.Add(
                 setting =>
                 {
                     setting.FieldName = "SlocCode";
                     setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                     setting.Caption = "Sloc<br>Code";
                     setting.Width = Unit.Pixel(60);
                     setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                 });
        settings.Columns.Add(
                 setting =>
                 {
                     setting.FieldName = "PaymentMethodCode";
                     setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                     setting.Caption = "Payment<br>Method<br>Code";
                     setting.Width = Unit.Pixel(60);
                     setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                 });
        settings.Columns.Add(
                 setting =>
                 {
                     setting.FieldName = "PaymentTermCode";
                     setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                     setting.Caption = "Payment<br>Term<br>Code";
                     setting.Width = Unit.Pixel(60);
                     setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                 });
        settings.Columns.Add(
                setting =>
                {
                    setting.FieldName = "MatPrice";
                    setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                    setting.Caption = "Material Price";
                    setting.Width = Unit.Pixel(150);
                    setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                });
        settings.Columns.Add(
                setting =>
                {
                    setting.FieldName = "ValStats";
                    setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                    setting.Caption = "Validation<br>Stats";
                    setting.Width = Unit.Pixel(60);
                    setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                });
        settings.Columns.Add(
               setting =>
               {
                   setting.FieldName = "Message";
                   setting.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                   setting.Caption = "Message";
                   setting.Width = Unit.Pixel(350);
                   setting.CellStyle.HorizontalAlign = HorizontalAlign.Center;
               });
    }).Bind(Model.GetModel<Portal.Models.ConsolidatedLPOP.ConsolidatedLPOPModel>().MasterCompletenessResults).GetHtml()


</div>
